PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionInfo Struct Reference

Active region information with optional modified structure. More...

`#include <solvers/gain/wasiak/ferminew.hpp>`

Inheritance diagram for plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionInfo:
[legend]
Collaboration diagram for plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionInfo:
[legend]

## Public Member Functions
| ActiveRegionInfo (Vec< 2 > origin)
| ActiveRegionInfo (const ActiveRegionData &src)
| ActiveRegionInfo (ActiveRegionData &&src)
Public Member Functions inherited from plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionData
| ActiveRegionData (Vec< 2 > origin)
size_t | size () const
| Return number of layers in the active region with surrounding barriers.
shared_ptr< Material > | getLayerMaterial (size_t n) const
| Return material of `n-th` layer.
Box2D | getLayerBox (size_t n) const
| Return translated bounding box of `n-th` layer.
bool | isQW (size_t n) const
| Return `true` if given layer is quantum well.
Box2D | getBoundingBox () const
| Return bounding box of the whole active region.
bool | contains (const Vec< 2 > &point) const
| Return `true` if the point is in the active region.
bool | inQW (const Vec< 2 > &point) const
| Return `true` if given point is inside quantum well.
void | summarize (const FermiNewGainSolver< GeometryType > *solver)
| Summarize active region, check for appropriateness and compute some values.

## Public Attributes
boost::optional< ActiveRegionData > | mod
| Modified structure data.
Public Attributes inherited from plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionData
shared_ptr< StackContainer< 2 > > | layers
| Stack containing all layers in the active region.
Vec< 2 > | origin
| Location of the active region stack origin.
std::set< int > | QWs
std::vector< double > | lens
| Thicknesses of the layers in the active region.
double | qwlen
| Single quantum well thickness [Å].
double | qwtotallen
| Total quantum wells thickness [Å].
double | totallen
| Total active region thickness [Å].

## Detailed Description

template<typename GeometryType>
struct plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionInfo

Active region information with optional modified structure.

Definition at line 151 of file ferminew.hpp.

## Constructor & Destructor Documentation

## ◆ ActiveRegionInfo() [1/3]

template<typename GeometryType >

plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionInfo::ActiveRegionInfo | ( | Vec< 2 > | origin | ) |
| inline

Definition at line 154 of file ferminew.hpp.

## ◆ ActiveRegionInfo() [2/3]

template<typename GeometryType >

plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionInfo::ActiveRegionInfo | ( | const ActiveRegionData & | src | ) |
| inline

Definition at line 156 of file ferminew.hpp.

## ◆ ActiveRegionInfo() [3/3]

template<typename GeometryType >

plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionInfo::ActiveRegionInfo | ( | ActiveRegionData && | src | ) |
| inline

Definition at line 158 of file ferminew.hpp.

## Member Data Documentation

## ◆ mod

template<typename GeometryType >

boost::optional<ActiveRegionData> plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionInfo::mod

Modified structure data.

Definition at line 152 of file ferminew.hpp.

The documentation for this struct was generated from the following file:

- solvers/gain/wasiak/ferminew.hpp